[tool.poetry]
name = "wsi-service-plugin-mirax"
version = "0.1.22"
description = ""
authors = ["EMPAIA <dev-support@empaia.org>"]
license = "MIT"

[tool.poetry.dependencies]
python = "^3.8"
Pillow = "^9.0.0"
pyzmq = "^25.0.0"
numpy = "^1.24.2"

[tool.poetry.dev-dependencies]
pytest = "^7.0.0"
debugpy = "^1.3.0"
black = "^23.0.0"
isort = "^5.9.1"
pylint = "^2.9.1"
pycodestyle = "^2.8.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.black]
line-length = 120

[tool.isort]
line_length = 120
profile = "black"
multi_line_output = 3
include_trailing_comma = true

[tool.pylint."MASTER"]
ignored-modules = ["pydantic"]

[tool.pylint."MESSAGES CONTROL"]
max-line-length = 120
disable = "R,C,W0613,E0213,W0603,W0231,E1136,W0707,W0622,W0201,E0401,E1101,F0010,E0110"
